PLplot: plimage.c File Reference

PLplot 5.15.0

Macros | Functions
plimage.c File Reference
`#include "plplotP.h"`

Go to the source code of this file.

## Macros
#define | COLOR_MIN 0.0
#define | COLOR_MAX 1.0
#define | COLOR_NO_PLOT ( -1.0 )

## Functions
void | NoBufferNoPixmap ()
void | RestoreWrite2BufferPixmap ()
void | plimageslow (PLFLT *idata, PLINT nx, PLINT ny, PLFLT xmin, PLFLT ymin, PLFLT dx, PLFLT dy, PLTRANSFORM_callback pltr, PLPointer pltr_data)
void | grimage (short *x, short *y, unsigned short *z, PLINT nx, PLINT ny)
PLDLLIMPEXP void | plimagefr_null (PLFLT_MATRIX idata, PLINT nx, PLINT ny, PLFLT xmin, PLFLT xmax, PLFLT ymin, PLFLT ymax, PLFLT zmin, PLFLT zmax, PLFLT valuemin, PLFLT valuemax)
void | c_plimagefr (PLFLT_MATRIX idata, PLINT nx, PLINT ny, PLFLT xmin, PLFLT xmax, PLFLT ymin, PLFLT ymax, PLFLT zmin, PLFLT zmax, PLFLT valuemin, PLFLT valuemax, PLTRANSFORM_callback pltr, PLPointer pltr_data)
void | plfimagefr (PLF2OPS idataops, PLPointer idatap, PLINT nx, PLINT ny, PLFLT xmin, PLFLT xmax, PLFLT ymin, PLFLT ymax, PLFLT zmin, PLFLT zmax, PLFLT valuemin, PLFLT valuemax, PLTRANSFORM_callback pltr, PLPointer pltr_data)
void | c_plimage (PLFLT_MATRIX idata, PLINT nx, PLINT ny, PLFLT xmin, PLFLT xmax, PLFLT ymin, PLFLT ymax, PLFLT zmin, PLFLT zmax, PLFLT Dxmin, PLFLT Dxmax, PLFLT Dymin, PLFLT Dymax)
void | plfimage (PLF2OPS idataops, PLPointer idatap, PLINT nx, PLINT ny, PLFLT xmin, PLFLT xmax, PLFLT ymin, PLFLT ymax, PLFLT zmin, PLFLT zmax, PLFLT Dxmin, PLFLT Dxmax, PLFLT Dymin, PLFLT Dymax)

## Macro Definition Documentation

## ◆ COLOR_MAX

#define COLOR_MAX 1.0

Definition at line 29 of file plimage.c.

## ◆ COLOR_MIN

#define COLOR_MIN 0.0

Definition at line 28 of file plimage.c.

## ◆ COLOR_NO_PLOT

#define COLOR_NO_PLOT ( -1.0 )

Definition at line 30 of file plimage.c.

## Function Documentation

## ◆ c_plimage()

void c_plimage | ( | PLFLT_MATRIX | idata,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLFLT | xmin,
|  | PLFLT | xmax,
|  | PLFLT | ymin,
|  | PLFLT | ymax,
|  | PLFLT | zmin,
|  | PLFLT | zmax,
|  | PLFLT | Dxmin,
|  | PLFLT | Dxmax,
|  | PLFLT | Dymin,
|  | PLFLT | Dymax
| ) |  |

Definition at line 375 of file plimage.c.

## ◆ c_plimagefr()

void c_plimagefr | ( | PLFLT_MATRIX | idata,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLFLT | xmin,
|  | PLFLT | xmax,
|  | PLFLT | ymin,
|  | PLFLT | ymax,
|  | PLFLT | zmin,
|  | PLFLT | zmax,
|  | PLFLT | valuemin,
|  | PLFLT | valuemax,
|  | PLTRANSFORM_callback | pltr,
|  | PLPointer | pltr_data
| ) |  |

Definition at line 238 of file plimage.c.

## ◆ grimage()

void grimage | ( | short * | x,
|  | short * | y,
|  | unsigned short * | z,
|  | PLINT | nx,
|  | PLINT | ny
| ) |  |

Definition at line 150 of file plimage.c.

## ◆ NoBufferNoPixmap()

void NoBufferNoPixmap | ( | void |  | ) |

Definition at line 41 of file plimage.c.

## ◆ plfimage()

void plfimage | ( | PLF2OPS | idataops,
|  | PLPointer | idatap,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLFLT | xmin,
|  | PLFLT | xmax,
|  | PLFLT | ymin,
|  | PLFLT | ymax,
|  | PLFLT | zmin,
|  | PLFLT | zmax,
|  | PLFLT | Dxmin,
|  | PLFLT | Dxmax,
|  | PLFLT | Dymin,
|  | PLFLT | Dymax
| ) |  |

Definition at line 385 of file plimage.c.

## ◆ plfimagefr()

void plfimagefr | ( | PLF2OPS | idataops,
|  | PLPointer | idatap,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLFLT | xmin,
|  | PLFLT | xmax,
|  | PLFLT | ymin,
|  | PLFLT | ymax,
|  | PLFLT | zmin,
|  | PLFLT | zmax,
|  | PLFLT | valuemin,
|  | PLFLT | valuemax,
|  | PLTRANSFORM_callback | pltr,
|  | PLPointer | pltr_data
| ) |  |

Definition at line 249 of file plimage.c.

## ◆ plimagefr_null()

PLDLLIMPEXP void plimagefr_null | ( | PLFLT_MATRIX | idata,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLFLT | xmin,
|  | PLFLT | xmax,
|  | PLFLT | ymin,
|  | PLFLT | ymax,
|  | PLFLT | zmin,
|  | PLFLT | zmax,
|  | PLFLT | valuemin,
|  | PLFLT | valuemax
| ) |  |

Definition at line 197 of file plimage.c.

## ◆ plimageslow()

void plimageslow | ( | PLFLT * | idata,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLFLT | xmin,
|  | PLFLT | ymin,
|  | PLFLT | dx,
|  | PLFLT | dy,
|  | PLTRANSFORM_callback | pltr,
|  | PLPointer | pltr_data
| ) |  |

Definition at line 91 of file plimage.c.

## ◆ RestoreWrite2BufferPixmap()

void RestoreWrite2BufferPixmap | ( | void |  | ) |

Definition at line 51 of file plimage.c.